Bug 375821 - kernel only detects one of two Terratec DVB-C cards
kernel only detects one of two Terratec DVB-C cards
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 06:51 EST by Bernd Bartmann
Modified: 2009-01-09 00:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:09:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg (28.16 KB, text/plain)
2007-11-11 06:52 EST, Bernd Bartmann
no flags Details
output of lspci -vvv (15.66 KB, text/plain)
2007-11-11 06:52 EST, Bernd Bartmann
no flags Details
contents of /proc/iomem (1.39 KB, text/plain)
2007-11-13 10:11 EST, Bernd Bartmann
no flags Details
contents of /proc/ioports (1.15 KB, text/plain)
2007-11-13 10:11 EST, Bernd Bartmann
no flags Details
output of dmesg (kernel-2.6.23.8-63) (27.56 KB, text/plain)
2007-12-07 16:20 EST, Bernd Bartmann
no flags Details
output of lspci -vvv (kernel-2.6.23.8-63) (15.69 KB, text/plain)
2007-12-07 16:21 EST, Bernd Bartmann
no flags Details
contents of /proc/iomem (kernel-2.6.23.8-63) (1.39 KB, text/plain)
2007-12-07 16:21 EST, Bernd Bartmann
no flags Details
contents of /proc/ioports (kernel-2.6.23.8-63) (1.15 KB, text/plain)
2007-12-07 16:21 EST, Bernd Bartmann
no flags Details

  None (edit)
Description Bernd Bartmann 2007-11-11 06:51:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
I've setup a server to run vdr with two Hauppauge NOVA-T DVB-T and two Terratec DVB-C cards. Both DVB-T cards are detected correctly, but only one of the DVB-C cards is found. I had all 4 cards working fine with F7 fully updated.

The strange thing now ist that even lspci only shows one of the DVB-C cards. I have to use acpi=off and noapic as kernel options on this mainboard as the system otherwise freezes after some time.

I'll attach the output of dmesg and lspci.

Version-Release number of selected component (if applicable):
kernel-2.6.23.1-49.fc8

How reproducible:
Always


Steps to Reproduce:
1. have two DVB-T (Hauppauge NOVA-T) and two DVB-C (Terratec) in the system
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Bernd Bartmann 2007-11-11 06:52:03 EST
Created attachment 254601 [details]
output of dmesg
Comment 2 Bernd Bartmann 2007-11-11 06:52:22 EST
Created attachment 254611 [details]
output of lspci -vvv
Comment 3 Chuck Ebbert 2007-11-12 19:16:59 EST
Can you also attach /proc/iomem and /proc/ioports?
Comment 4 Bernd Bartmann 2007-11-13 10:11:06 EST
Created attachment 256931 [details]
contents of /proc/iomem
Comment 5 Bernd Bartmann 2007-11-13 10:11:29 EST
Created attachment 256941 [details]
contents of /proc/ioports
Comment 6 Chuck Ebbert 2007-12-06 19:26:21 EST
Possibly fixed in 2.6.23.8-63, please test.
Comment 7 Bernd Bartmann 2007-12-07 16:17:23 EST
Nothing changed with 2.6.23.8-63. Still only one DVB-C card is found.
Comment 8 Bernd Bartmann 2007-12-07 16:20:29 EST
Created attachment 281581 [details]
output of dmesg (kernel-2.6.23.8-63)
Comment 9 Bernd Bartmann 2007-12-07 16:21:06 EST
Created attachment 281591 [details]
output of lspci -vvv  (kernel-2.6.23.8-63)
Comment 10 Bernd Bartmann 2007-12-07 16:21:33 EST
Created attachment 281601 [details]
contents of /proc/iomem (kernel-2.6.23.8-63)
Comment 11 Bernd Bartmann 2007-12-07 16:21:59 EST
Created attachment 281611 [details]
contents of /proc/ioports (kernel-2.6.23.8-63)
Comment 12 Christopher Brown 2008-02-07 13:09:42 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 13 Bernd Bartmann 2008-02-07 13:15:49 EST
The system is now on kernel-2.6.23.14-115.fc8 and the problem is still there.
Only one out of two DVB-C cards is detected properly.
Comment 14 Bug Zapper 2008-11-26 03:18:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bernd Bartmann 2008-12-22 13:06:14 EST
In the meantime the system has been upgraded to a new mainbaord and F10.
With the stock F10 kernel the problem is still there. Only one of two DVB-C cards is detected.

Now the good news: Since kernel-2.6.27.5-117.fc10.x86_64 both cards are detected correctly. It would be interesting to know what was the cause of the problem.
Comment 16 Bug Zapper 2009-01-09 00:09:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.